Microsoft Security Bulletin MS11-009 - 重要

JScript 和 VBScript 指令碼引擎中的資訊安全風險可能會允許資訊洩漏 (2475792)

發行: 2011年2月8日 | 更新: 2012年8月17日

版本: 2.1

一般資訊

提要

這個資訊安全更新能解決 JScript 和 VBScript 指令碼引擎中一項未公開報告的資訊安全風險。如果使用者造訪蓄意製作的網站,此資訊安全風險便可能允許資訊洩漏。攻擊者並不能強迫使用者造訪這些網站。而是引誘使用者自行前往。一般的做法是設法讓使用者按一下電子郵件或 Instant Messenger 訊息中通往攻擊者網站的連結。

對於所有受支援版本的 Windows 7,此資訊安全更新的等級為「重要」;對於所有受支援版本的 Windows Server 2008 R2,此資訊安全更新的等級則為「中度」。如需更多資訊,請參閱本節中的<受影響及不受影響的軟體>小節。

此資訊安全更新可修正 VBScript 與 JScript 指令碼引擎處理網頁指令碼的方式,以解決此資訊安全風險。如需更多有關此資訊安全風險的資訊,請參閱下節<資訊安全風險資訊>下的特定資訊安全風險項目的<常見問題集 (FAQ)>小節。

建議。 大部分客戶都已啟用自動更新,並且不必須採取任何行動,因為資訊安全更新將自動下載和安裝。沒有啟用自動更新的客戶則必須檢查更新,並手動安裝更新。如需有關自動更新中特定設定選項的資訊,請參閱 Microsoft 知識庫文件編號 294871

若是系統管理員和企業安裝,或是想要手動安裝此資訊安全更新的使用者,Microsoft 建議客戶使用更新管理軟體,立即套用更新,或使用 Microsoft Update 服務檢查更新。

另請參閱本公告下文的<偵測與部署工具及指南>一節。

已知問題。 無

受影響及不受影響的軟體

下列軟體已經過測試判斷哪些版號或版本會受到影響。其他版本超過它們的支援週期或不受影響。若要瞭解您的軟體版本的支援週期,請造訪 Microsoft 產品技術支援週期網站

受影響的軟體

作業系統 元件 最大資訊安全影響 彙總嚴重性等級 此更新取代的公告
適用於 32 位元系統的 Windows 7 和適用於 32 位元系統的 Windows 7 Service Pack 1 JScript 5.8
(英文下載更新程式)
JScript 5.8
(中文下載更新程式)
資訊洩漏 重要
適用於 32 位元系統的 Windows 7 和適用於 32 位元系統的 Windows 7 Service Pack 1 VBScript 5.8
(英文下載更新程式)
VBScript 5.8
(中文下載更新程式)
資訊洩漏 重要 MS10-022
適用於 x64 型系統的 Windows 7 和適用於 x64 型系統的 Windows 7 Service Pack 1 JScript 5.8
(英文下載更新程式)
JScript 5.8
(中文下載更新程式)
資訊洩漏 重要
適用於 x64 型系統的 Windows 7 和適用於 x64 型系統的 Windows 7 Service Pack 1 VBScript 5.8
(英文下載更新程式)
VBScript 5.8
(中文下載更新程式)
資訊洩漏 重要 MS10-022
適用於 x64 型系統的 Windows Server 2008 R2 和適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 JScript 5.8**
(英文下載更新程式)
JScript 5.8**
(中文下載更新程式)
資訊洩漏 中度
適用於 x64 型系統的 Windows Server 2008 R2 和適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 VBScript 5.8**
(英文下載更新程式)
VBScript 5.8**
(中文下載更新程式)
資訊洩漏 中度 MS10-022
適用於 Itanium 型系統的 Windows Server 2008 R2 和適用於 Itanium 型系統的 Windows Server 2008 R2 Service Pack 1 JScript 5.8
(英文下載更新程式)
資訊洩漏 中度
適用於 Itanium 型系統的 Windows Server 2008 R2 和適用於 Itanium 型系統的 Windows Server 2008 R2 Service Pack 1 VBScript 5.8
(英文下載更新程式)
資訊洩漏 中度 MS10-022
****Server Core** **安裝不受影響。**如果 Windows Server 2008 或 Windows Server 2008 R2 是使用 Server Core 安裝選項所安裝,則這項更新解決的資訊安全風險並不會影響受支援的 Windows Server 2008 或 Windows Server 2008 R2。如需此安裝選項的詳細資訊,請參閱 TechNet 文章:[管理 Server Core 安裝](https://technet.microsoft.com/en-us/library/ee441255(ws.10).aspx) (英文) 和[維護 Server Core 安裝](https://technet.microsoft.com/en-us/library/ff698994(ws.10).aspx) (英文)。請注意,Server Core 安裝選項不適用於某些 Windows Server 2008 和 Windows Server 2008 R2 版本;請參閱[比較 Server Core 安裝選項](https://www.microsoft.com/windowsserver2008/en/us/compare-core-installation.aspx) (英文)。 **不受影響的軟體**

作業系統 元件
Windows XP Service Pack 3 JScript 5.7
JScript 5.8
VBScript 5.7
VBScript 5.8
Windows XP Professional x64 Edition Service Pack 2 JScript 5.6
JScript 5.7
JScript 5.8
VBScript 5.6
VBScript 5.7
VBScript 5.8
Windows Server 2003 Service Pack 2 JScript 5.6
JScript 5.7
JScript 5.8
VBScript 5.6
VBScript 5.7
VBScript 5.8
Windows Server 2003 x64 Edition Service Pack 2 JScript 5.6
JScript 5.7
JScript 5.8
VBScript 5.6
VBScript 5.7
VBScript 5.8
適用於 Itanium 型系統的 Windows Server 2003 SP2 JScript 5.6
JScript 5.7
VBScript 5.6
VBScript 5.7
Windows Vista Service Pack 1 和 Windows Vista Service Pack 2 JScript 5.7
JScript 5.8
VBScript 5.7
VBScript 5.8
Windows Vista x64 Edition Service Pack 1 和 Windows Vista x64 Edition Service Pack 2 JScript 5.7
JScript 5.8
VBScript 5.7
VBScript 5.8
適用於 32 位元系統的 Windows Server 2008 和適用於 32 位元系統的 Windows Server 2008 Service Pack 2 JScript 5.7
JScript 5.8
VBScript 5.7
VBScript 5.8
適用於 x64 型系統的 Windows Server 2008 和適用於 x64 型系統的 Windows Server 2008 Service Pack 2 JScript 5.7
JScript 5.8
VBScript 5.7
VBScript 5.8
適用於 Itanium 型系統的 Windows Server 2008 和適用於 Itanium 型系統的 Windows Server 2008 Service Pack 2 JScript 5.7
VBScript 5.7

與本資訊安全更新相關的常見問題集 (FAQ)

我的系統已安裝 Internet Explorer 9。是否需要安裝此更新程式?
否。如果您的系統已安裝 Internet Explorer 9,則 JScript 5.8 和 VBScript 5.8 指令碼引擎版本已經是最新的,不需要此更新。但是,如果您的系統尚未安裝 Internet Explorer 9,就必須為系統上安裝的 JScript 和 VBScript 指令碼引擎版本而安裝正確的更新程式。請參閱下列<常見問題集>,瞭解如何分辨您的系統上安裝的版本。

如何分辨我的系統上安裝的 JScript VBScript 指令碼引擎版本?
系統上安裝的 JScript 和 VBScript 指令碼引擎版本取決於系統上所安裝的 Internet Explorer 版本,如果安裝較新版的 Internet Explorer,則引擎版本會變更。Internet Explorer 6 包括 JScript 5.6 和 VBScript 5.6 指令碼引擎;Internet Explorer 7 包括 JScript 5.7 和 VBScript 5.7 指令碼引擎;Internet Explorer 8 則包括 JScript 5.8 和 VBScript 5.8 指令碼引擎。Internet Explorer 9 還包括 JScript 5.8 和 VBScript 5.8 指令碼引擎,但是 Internet Explorer 9 隨附安裝的特定版本已經是最新版本,無須安裝此更新。

若要分辨您的系統上安裝的 JScript 和 VBScript 指令碼引擎版本,請執行下列步驟:

  1. 開啟 [Windows 檔案總管]。
  2. 瀏覽至 %systemroot%\system32 目錄。
  3. jscript.dll 上按一下滑鼠右鍵,選取 [內容],然後按一下 [詳細資料] 索引標籤 (為同一目錄內的 vbscript.dll 重複此步驟)。

版本號碼列在 [檔案版本] 欄位中。如果您的檔案版本開頭為 5.8,例如 5.8.7600.16385,則您系統上安裝的是 JScript 5.8。

為何於 2011 3 8 日修訂此公告?
Microsoft 說明下列項目已納入受影響的軟體:適用於 32 位元系統的 Windows 7 Service Pack 1、適用於 x64 型系統的 Windows 7 Service Pack 1、適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1,以及適用於 Itanium 系統的 Windows Server 2008 R2 Service Pack 1。

擁有適用於 32 位元系統的 Windows 7、適用於 x64 型系統的 Windows 7、適用於 x64 型系統的 Windows Server 2008 R2,以及適用於 Itanium 系統的 Windows Server 2008 R2 原始發行版本的客戶,若已套用此資訊安全更新,則不必採取任何行動。已將上述作業系統更新為 Service Pack 1 的客戶,仍需要套用此資訊安全更新。

何處可找到檔案資訊詳細資料?
關於檔案資訊詳細資料的位置,請見<資訊安全更新部署>一節中的參考表。

我所使用的軟體是這個資訊安全公告中討論的軟體之舊版。該怎麼辦?
本公告所列出的受影響軟體版本已經過測試判斷哪些版本會受到影響。其他版本超出它們的支援週期。如需瞭解產品生命週期的相關資訊,請造訪 Microsoft 支援週期網站。

使用此軟體舊版的客戶應優先考慮移轉至支援的版本,以避免因潛在的資訊安全風險而遭受攻擊。若要瞭解您的軟體版本的支援週期,請參閱選擇一個產品檢視其支援週期資訊。如需更多軟體版本 Service Pack 的相關資訊,請參閱產品技術支援週期所支援的 Service Pack

需要舊版軟體額外支援服務的客戶,請連絡 Microsoft 客戶小組人員、技術支援經理或適當的 Microsoft 協力廠商,以取得所需的額外支援。尚未簽訂聯盟、優先或授權合約的客戶,可以連絡當地的 Microsoft 銷售辦公室。如需連絡資訊,請造訪 Microsoft 全球資訊網站,在 [Contact Information] (連絡資訊) 清單中選擇國家,然後按一下 [Go] 看各地的連絡電話號碼。連絡時,請指明要連絡當地優先支援服務行銷經理。如需更多資訊,請參閱 Microsoft 技術支援週期準則常見問答集

資訊安全風險資訊

嚴重性等級和資訊安全風險識別碼

下列嚴重性等級是假設資訊安全風險可能造成的最嚴重影響而評定。在本資訊安全公告發行的 30 天內,如需資訊安全風險之易遭利用性與嚴重性等級和資訊安全影響之間對應關係的資訊,請參閱 2 月份公告摘要中的<資訊安全風險入侵指數>。如需更多資訊,請參閱 Microsoft 資訊安全風險入侵指數

依受影響軟體列出的資訊安全風險嚴重性等級和最大資訊安全影響
受影響的軟體 指令碼引擎資訊洩漏資訊安全風險 - CVE-2011-0031 彙總嚴重性等級
適用於 32 位元系統的 Windows 7,以及適用於 32 位元系統的 Windows 7 Service Pack 1 上的 JScript 5.8 與 VBScript 5.8 重要 
資訊洩漏
重要
適用於 x64 型系統的 Windows 7,以及適用於 x64 型系統的 Windows 7 Service Pack 1 上的 JScript 5.8 與 VBScript 5.8 重要 
資訊洩漏
重要
適用於 x64 型系統的 Windows Server 2008 R2 ,以及適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 上的 JScript 5.8 與 VBScript 5.8** 中度 
資訊洩漏
中度
適用於 Itanium 型系統的 Windows Server 2008 R2,以及適用於 Itanium 型系統的 Windows Server 2008 R2 Service Pack 1 上的 JScript 5.8 與 VBScript 5.8 中度 
資訊洩漏
中度
****Server Core** **安裝不受影響。**如果 Windows Server 2008 或 Windows Server 2008 R2 是使用 Server Core 安裝選項所安裝,則這項更新解決的資訊安全風險並不會影響受支援的 Windows Server 2008 或 Windows Server 2008 R2。如需此安裝選項的詳細資訊,請參閱 TechNet 文章:[管理 Server Core 安裝](https://technet.microsoft.com/en-us/library/ee441255(ws.10).aspx) (英文) 和[維護 Server Core 安裝](https://technet.microsoft.com/en-us/library/ff698994(ws.10).aspx) (英文)。請注意,Server Core 安裝選項不適用於某些 Windows Server 2008 和 Windows Server 2008 R2 版本;請參閱[比較 Server Core 安裝選項](https://www.microsoft.com/windowsserver2008/en/us/compare-core-installation.aspx) (英文)。 指令碼引擎資訊洩漏資訊安全風險 - CVE-2011-0031 ---------------------------------------------- 由於記憶體損毀錯誤,JScript 和 VBScript 指令碼引擎中存在一個資訊洩漏資訊安全風險。成功利用這個資訊安全風險的攻擊者可以讀取不應遭到洩漏的資料。請注意,這個資訊安全風險不會直接允許攻擊者執行程式碼或提升權限,但能用來取得資訊,因而進一步破壞受影響系統。 若要在「一般性資訊安全風險」清單標準條目中檢視此資訊安全風險,請參閱 [CVE-2011-0031](https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=cve-2011-0031)。 #### 指令碼引擎資訊洩漏資訊安全風險 - CVE-2011-0031 的緩和因素 緩和因素是指存在於預設狀態中的設定、共用設定或一般最佳作法,可能會減少資訊安全風險影響的嚴重性。下列緩和因素可能對您的狀況有所助益: - 在網頁式攻擊的案例中,攻擊者可架設一個網站,並在其中包含利用此資訊安全風險的網頁。此外,受侵害的網站以及接受或存放使用者提供之內容或廣告的網站裡,也可能包含蓄意製作以利用本資訊安全風險的內容。但是,攻擊者無法強迫使用者造訪網站, 而是引誘使用者自行前往。一般的做法是設法讓使用者按一下電子郵件或 Instant Messenger 訊息中通往攻擊者網站的連結。 - 根據預設值,Microsoft Outlook、Microsoft Outlook Express 及 Windows Mail 的所有支援版本會在 \[限制的網站\] 區域中開啟 HTML 電子郵件訊息,進而停用指令碼與 ActiveX 控制項,以移除攻擊者能夠利用此資訊安全風險執行惡意程式碼的風險。如果使用者按下電子郵件訊息中的連結,仍有可能因為網頁式攻擊而受此資訊安全風險遭利用的影響。 - 依照預設,Windows Server 2008 和 Windows Server 2008 R2 上的 Internet Explorer 會以稱為[增強式資訊安全設定](https://technet.microsoft.com/en-us/library/dd883248(ws.10).aspx)的受限制模式執行。此模式可緩和這項資訊安全風險。如需更多資訊,請參閱此資訊安全更新<常見問題集>關於 Internet Explorer 增強式資訊安全設定的部分。 #### 指令碼引擎資訊洩漏資訊安全風險 - CVE-2011-0031 的因應措施 因應措施指的是無法徹底修正資訊安全風險,但有助於在套用更新之前封鎖已知攻擊模式的設定變更。Microsoft 測試了下列因應措施和狀態,討論因應措施是否會降低功能: - **將** **\[網際網路\]** **及** **\[近端內部網路\]** **安全性區域設定為** **\[高\],可封鎖這些區域中的** **ActiveX** **控制項及動態指令碼處理** 只要將網際網路安全性區域設定變更為封鎖 ActiveX 控制項及動態指令碼處理,即可防範這個資訊安全風險遭到利用。做法是將瀏覽器的資訊安全設定為 \[高\]。 若要在 Internet Explorer 中提高瀏覽器的安全層級,請依照下列步驟執行: 1. 在 Internet Explorer 的 \[工具\] 功能表,按一下 \[網際網路選項\]。 2. 在 \[網際網路選項\] 對話方塊中,按一下 \[安全性\] 索引標籤,再按 \[網際網路\] 圖示。 3. 在 \[此區域的安全性等級\] 下方,將滑桿移至 \[高\]。如此即可將您所造訪的所有網站都設定為 \[高\] 安全層級 **注意:**如果沒有顯示滑桿,按一下 \[預設等級\],再將滑桿移至 \[高\]。 **注意:**設定為 \[高安全性\] 層級可能會使部分網站無法正確運作。如果變更這項設定之後,您在使用網站時遇到問題,而又確定該網站安全無虞能放心使用,便可將該網站加入信任的網站清單中。如此一來,即使採用 \[高\] 設定,該網站仍可正確運作。 **因應措施的影響。**封鎖 ActiveX 控制項和動態指令碼處理會產生副作用。許多網際網路及內部網路的網站使用 ActiveX 或動態指令碼提供額外的功能。例如,線上電子商務網站或銀行網站會利用 ActiveX 控制項提供功能表、訂單、甚至是帳戶明細。封鎖 ActiveX 控制項或動態指令碼處理是一種通用設定,該設定會影響所有網際網路及內部網路網站。如果您不希望封鎖這些網站的 ActiveX 控制項或動態指令碼處理,請使用「將信任的網站加入 Internet Explorer \[信任的網站\] 區域」的步驟。 **將信任的網站加入** **Internet Explorer \[信任的網站\]** **區域。** 當您完成設定,使 Internet Explorer 在網際網路區域及近端內部網路區域封鎖 ActiveX 控制項及動態指令碼處理之後,即可將信任的網站加入 Internet Explorer \[信任的網站\] 區域。之後您就可以依照平時習慣使用信任的網站,同時預防不信任網站的這類攻擊。我們建議您只將信任的網站加入 \[信任的網站\] 區域。 請依照下列步驟執行: 1. 在 Internet Explorer 中,依序按一下 \[工具\] 及 \[網際網路選項\],然後按一下 \[安全性\] 索引標籤。 2. 在 \[請選擇網頁內容區域來指定它的資訊安全設定\] 方塊中,按一下 \[信任的網站\],然後按 \[網站\]。 3. 如果您要加入的網站不需要加密通道,請按一下滑鼠清除 \[此區域內的所有網站 需要伺服器驗證 (https:)\] 核取方塊。 4. 在 \[將此網站加到該區域\] 方塊中,鍵入信任網站的 URL,然後按一下 \[新增\]。 5. 為每一個要加入此區域的網站重複以上步驟。 6. 按兩次 \[確定\] 接受所有變更,回到 Internet Explorer。 **注意:**您可以加入任何您相信不會對您的系統進行惡意動作的網站。建議您加入 ***.windowsupdate.microsoft.com** 與 ***.update.microsoft.com** 這兩個網站。這些網站提供各項更新,並需要 ActiveX 控制項才能安裝更新。 - **設定** **Internet Explorer,以便在執行動態指令碼之前先行提示或停用網際網路及近端內部網路安全性區域內的動態指令碼** 只要將設定變更為在執行或停用網際網路及近端內部網路安全性區域內的動態指令碼之前先提示,即可防範這個資訊安全風險遭到利用。請依照下列步驟執行: 1. 在 Internet Explorer 中,按一下 \[工具\] 功能表的 \[網際網路選項\] 2. 按一下 \[安全性\] 索引標籤 3. 按一下 \[網際網路\],然後按 \[自訂等級\]。 4. 在 \[設定\] 的 \[指令碼處理\] 區段中,按一下 \[Active Scripting\] 下的 \[提示\] 或 \[停用\],然後按一下 \[確定\]。 5. 按一下 \[近端內部網路\],然後按 \[自訂層級\]。 6. 在 \[設定\] 的 \[指令碼處理\] 區段中,按一下 \[Active Scripting\] 下的 \[提示\] 或 \[停用\],然後按一下 \[確定\]。 7. 按兩次 \[確定\] 回到 Internet Explorer。 **注意:**在網際網路和近端內部網路安全性區域中停用動態指令碼,可能會導致部分網站無法正確運作。如果變更這項設定之後,您在使用網站時遇到問題,而又確定該網站安全無虞能放心使用,便可將該網站加入信任的網站清單中。這樣就能讓網站正確運作。 **因應措施的影響。** 執行動態指令碼前先提示的設定會產生副作用。許多網際網路及內部網路的網站使用動態指令碼提供額外的功能。例如,線上電子商務網站或銀行網站會利用動態指令碼提供功能表、訂單、甚至是帳戶明細。執行動態指令碼前先提示屬於通用設定,會影響所有網際網路及內部網路網站。使用這個因應措施的話,您會時常收到提示。每次出現提示時,如果您覺得可以信任該網站,請按一下 \[是\] 執行動態指令碼處理。如果您不要收到這些網站的提示,請改用「將信任的網站加入 Internet Explorer \[信任的網站\] 區域」的步驟。 **將信任的網站加入** **Internet Explorer \[信任的網站\]** **區域。** 當您完成設定,使 Internet Explorer 在網際網路區域及近端內部網路區域執行 ActiveX 控制項及動態指令碼處理前會顯示提示之後,即可將信任的網站加入 Internet Explorer \[信任的網站\] 區域。之後您就可以依照平時習慣使用信任的網站,同時預防不信任網站的這類攻擊。我們建議您只將信任的網站加入 \[信任的網站\] 區域。 請依照下列步驟執行: 1. 在 Internet Explorer 中,依序按一下 \[工具\] 及 \[網際網路選項\],然後按一下 \[安全性\] 索引標籤。 2. 在 \[請選擇網頁內容區域來指定它的資訊安全設定\] 方塊中,按一下 \[信任的網站\],然後按 \[網站\]。 3. 如果您要加入的網站不需要加密通道,請按一下滑鼠清除 \[此區域內的所有網站 需要伺服器驗證 (https:)\] 核取方塊。 4. 在 \[將此網站加到該區域\] 方塊中,鍵入信任網站的 URL,然後按一下 \[新增\]。 5. 為每一個要加入此區域的網站重複以上步驟。 6. 按兩次 \[確定\] 接受所有變更,回到 Internet Explorer。 **注意:**您可以加入任何您相信不會對您的系統進行惡意動作的網站。建議您加入 ***.windowsupdate.microsoft.com** 與 ***.update.microsoft.com** 這兩個網站。這些網站提供各項更新,並需要 ActiveX 控制項才能安裝更新。 #### 指令碼引擎資訊洩漏資訊安全風險 - CVE-2011-0031 的常見問題集 **這個資訊安全風險的範圍為何?**  這是一個資訊洩漏的資訊安全風險。成功利用這個資訊安全風險的攻擊者可能可以讀取不應遭到洩漏的資料。請注意,這個資訊安全風險不會直接允許攻擊者執行程式碼或提升權限,但能用來取得資訊,因而進一步破壞受影響系統。 **造成這個資訊安全風險的原因為何?**  JScript 和 VBScript 指令碼引擎處理網頁中指令碼的方式不當,因此導致此資訊安全風險。當指令碼引擎嘗試將已解碼的指令碼載入記憶體中執行時,可能發生記憶體損毀。該資訊遭到洩漏所產生的後果,將視資訊本身的性質而定。 **什麼是** **JScript?**  JScript 是經過解譯的物件型指令碼語言,通常用來製作更有彈性或更具互動性的網站。JScript 指令碼必須有解譯器或主機 (例如動態伺服器網頁 (ASP)、Internet Explorer 或 Windows Script Host) 才能執行。更具體而言,JScript 是 Microsoft 所實作的 ECMA 262 語言規格 (ECMAScript Edition 3)。如需詳細資訊,請參閱 MSDN 文章 [JScript 基礎](https://msdn.microsoft.com/en-us/library/6974wx4d(vs.85).aspx)(英文),或造訪 [ECMA International 網站 (英文)。](https://www.ecma-international.org/) **什麼是** **VBScript?**  VBScript (Visual Basic 指令碼) 是經過解譯的物件型指令碼語言,通常用來製作更有彈性或更具互動性的網站。VBScript 指令碼必須有解譯器或主機 (例如動態伺服器網頁 (ASP)、Internet Explorer 或 Windows Script Host) 才能執行。如需詳細資訊,請參閱 MSDN 文章:[VBScript 基礎概念](https://msdn.microsoft.com/en-us/library/0ad0dkea(vs.85).aspx) (英文)。 **攻擊者可能會利用這項資訊安全風險採取什麼行動?**  成功利用這個資訊安全風險的攻擊者可能可以讀取不應遭到洩漏的資料。 **攻擊者如何利用這項資訊安全風險?**  攻擊者可以針對這個資訊安全風險來設計並架設蓄意製作的網站,然後引誘使用者造訪該網站。這同時包括受侵害的網站,以及接受或存放使用者提供內容或廣告的網站。這些網站可能含有蓄意製作以利用此類資訊安全風險的內容。但是,攻擊者無法強迫使用者造訪網站, 而是引誘使用者自行前往。一般的做法是設法讓使用者按一下電子郵件訊息或 Instant Messenger 中通往攻擊者網站的連結。攻擊者也可能使用橫幅廣告或其他方式來顯示蓄意製作的網頁內容,以便將內容傳遞到受影響的系統。 **因為這個資訊安全風險而承受風險的主要系統有哪些?**  Internet Explorer 用來瀏覽網頁的用戶端、工作站或終端伺服器系統風險最高。 **我用的是適用於** **Windows Server 2008** **或** **Windows Server 2008 R2** **的** **Internet Explorer。這樣是否會減輕此資訊安全風險的影響?**  是。依照預設,Windows Server 2008 和 Windows Server 2008 R2 上的 Internet Explorer 會以稱為[增強式資訊安全設定](https://technet.microsoft.com/en-us/library/dd883248(ws.10).aspx)的受限制模式執行。增強式資訊安全設定是一組預先設定好的 Internet Explorer 設定,可以降低使用者或系統管理員在伺服器下載及執行蓄意製作之網頁內容的可能性。對於您尚未新增至 Internet Explorer \[信任的網站\] 區域的網站,這是一種緩和因素。 **更新的作用何在?**  此資訊安全更新可修正 VBScript 與 JScript 指令碼引擎處理網頁指令碼的方式,以解決此資訊安全風險。 **本資訊安全公告發行時,這項資訊安全風險是否已揭發出來?**  否。Microsoft 是經由協同合作的來源接獲有關這項資訊安全風險的訊息。 **當本資訊安全公告發行時,Microsoft** **是否已接獲任何消息,指出這項資訊安全風險已遭有心人士利用?**  否。本資訊安全公告初次發行時,Microsoft 尚未接到任何有關本資訊安全風險已公開用來攻擊客戶的消息。 ### 更新資訊 偵測與部署工具及指南 -------------------- **資訊安全中心** 管理您必須部署到您組織中的伺服器、桌上型電腦及行動系統的軟體和資訊安全更新。如需更多資訊,請參閱 [TechNet 更新管理中心](https://go.microsoft.com/fwlink/?linkid=69903) (英文)。[Microsoft TechNet 資訊安全技術中心網站](https://go.microsoft.com/fwlink/?linkid=21132)提供了有關 Microsoft 產品安全的其他資訊。 資訊安全更新可從 [Microsoft Update](https://go.microsoft.com/fwlink/?linkid=40747) 以及 [Windows Update](https://update.microsoft.com) 取得。資訊安全更新也可以從 [Microsoft 下載中心](https://go.microsoft.com/fwlink/?linkid=21129)取得。您也可以利用「資訊安全更新」("security update") 關鍵字搜尋輕易地找到資訊安全更新。 最後,您可以從 [Microsoft Update Catalog](https://go.microsoft.com/fwlink/?linkid=96155) 下載資訊安全更新。Microsoft Update Catalog 提供透過 Windows Update 及 Microsoft Update 所公佈內容的搜尋式目錄,包括資訊安全更新、驅動程式和 Service Pack。只要以資訊安全公告編號 (例如:MS07-036) 執行搜尋,您就可新增所有適用的更新到置物籃 (包括同一項更新的不同語言),再下載到您自選的資料夾中。如需更多關於 Microsoft Update Catalog 的相關資訊,請參閱 [Microsoft Update Catalog 常見問題集](https://go.microsoft.com/fwlink/?linkid=97900)。 **偵測與部署指南** Microsoft 針對資訊安全更新提供偵測和部署指南。本指南所含之建議和資訊,能幫助 IT 專業人員瞭解如何使用用於資訊安全更新的偵測和部署的各種工具。如需更多資訊,請參閱 [Microsoft 知識庫文件編號 961747](https://support.microsoft.com/kb/961747)。 **Microsoft Baseline Security Analyzer** Microsoft Baseline Security Analyzer (MBSA) 能讓系統管理員掃描本機和遠端系統,偵查任何缺少資訊安全更新以及一般資訊安全設定錯誤的狀況。如需更多有關 MBSA 的資訊,請造訪 [Microsoft Baseline Security Analyzer](https://www.microsoft.com/technet/security/tools/mbsahome.mspx)。 以下表格提供此資訊安全更新的 MBSA 偵測摘要。 | 軟體 | MBSA | |----------------------------------------------------------------------------------------------------------------|------| | 適用於 32 位元系統的 Windows 7 和適用於 32 位元系統的 Windows 7 Service Pack 1 | 是 | | 適用於 x64 型系統的 Windows 7 和適用於 x64 型系統的 Windows 7 Service Pack 1 | 是 | | 適用於 x64 型系統的 Windows Server 2008 R2 和適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 | 是 | | 適用於 Itanium 型系統的 Windows Server 2008 R2 和適用於 Itanium 型系統的 Windows Server 2008 R2 Service Pack 1 | 是 | **注意:**客戶若使用最新版 MBSA、Microsoft Update 和 Windows Server Update Services 所不支援的舊版軟體,請造訪 [Microsoft Baseline Security Analyzer](https://www.microsoft.com/technet/security/tools/mbsahome.mspx) 並參考<舊版產品支援>章節,了解如何以舊版工具建立完整的資訊安全更新偵測方式。 **Windows Server Update Services** Windows Server Update Services (WSUS) 可讓資訊技術管理員將最新的 Microsoft 產品更新部署到執行 Windows 作業系統的電腦。如需更多關於利用 Windows Server Update Services 部署資訊安全更新的資訊,請參閱 TechNet 文章:[Windows Server Update Services](https://technet.microsoft.com/en-us/wsus/default.aspx) (英文)。 **Systems Management Server** 以下表格提供本資訊安全更新的 SMS 偵測與部署摘要。 | 軟體 | SMS 2.0 | 具備 SUIT 的 SMS 2003 | 具備 ITMU 的 SMS 2003 | Configuration Manager 2007 | |----------------------------------------------------------------------------------------------------------------|---------|-----------------------|-----------------------|----------------------------| | 適用於 32 位元系統的 Windows 7 和適用於 32 位元系統的 Windows 7 Service Pack 1 | 否 | 否 | 是 | 是 | | 適用於 x64 型系統的 Windows 7 和適用於 x64 型系統的 Windows 7 Service Pack 1 | 否 | 否 | 是 | 是 | | 適用於 x64 型系統的 Windows Server 2008 R2 和適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1 | 否 | 否 | 是 | 是 | | 適用於 Itanium 型系統的 Windows Server 2008 R2 和適用於 Itanium 型系統的 Windows Server 2008 R2 Service Pack 1 | 否 | 否 | 是 | 是 | 對於 SMS 2.0 和 SMS 2003,SMS 可利用資訊安全更新盤點工具 (Security Update Inventory Tool,SUIT) 來偵測資訊安全更新。另請參閱[適用於 Systems Management Server 2.0 的下載](https://technet.microsoft.com/en-us/sms/bb676799.aspx) (英文)。 SMS 2003 可使用 Microsoft Update SMS 2003 盤點工具 (ITMU) 來偵測由 [Microsoft Update](https://update.microsoft.com/microsoftupdate) 所提供,並由 [Windows Server Update Services](https://go.microsoft.com/fwlink/?linkid=50120) 支援的資訊安全更新。如需 SMS 2003 ITMU 的詳細資訊,請參閱 [Microsoft Updates SMS 2003 盤點工具](https://technet.microsoft.com/zh-tw/sms/bb676783.aspx) (英文)。如需更多關於 SMS 掃描工具的資訊,請參閱 [SMS 2003 軟體更新掃描工具](https://technet.microsoft.com/en-us/sms/bb676786.aspx) (英文)。另請參閱[適用於 Systems Management Server 2003 的下載](https://technet.microsoft.com/en-us/sms/bb676766.aspx) (英文)。 System Center Configuration Manager 2007 使用 WSUS 3.0 來偵測更新。如需更多關於 Configuration Manager 2007 軟體更新管理的資訊,請造訪 [System Center Configuration Manager 2007](https://technet.microsoft.com/en-us/library/bb735860.aspx) 網站。 如需有關 SMS 的詳細資訊,請造訪 [SMS 網站。](https://go.microsoft.com/fwlink/?linkid=21158) 如需瞭解詳細相關資訊,請參閱 [Microsoft 知識庫文件編號 910723](https://support.microsoft.com/kb/910723): 每月發行之偵測與部署指導文件的摘要清單。 **Update Compatibility Evaluator** **和** **Application Compatibility Toolkit** 更新時常會寫入您應用程式執行所需的相同檔案和登錄設定。這可能會觸發不相容性,而拉長部署資訊安全更新的時間。您可以使用 [Application Compatibility Toolkit](https://www.microsoft.com/download/details.aspx?familyid=24da89e9-b581-47b0-b45e-492dd6da2971&displaylang=en) 隨附的 [Update Compatibility Evaluator](https://technet2.microsoft.com/windowsvista/en/library/4279e239-37a4-44aa-aec5-4e70fe39f9de1033.mspx?mfr=true) 元件,針對所安裝的應用程式簡化其測試和驗證 Windows 更新的過程。 Application Compatibility Toolkit (ACT) 包含必要的工具和文件,可讓您在環境中部署 Microsoft Windows Vista、Windows Update、Microsoft 資訊安全更新或新版 Windows Internet Explorer 之前,評估及減輕應用程式相容性問題。 資訊安全更新部署 ---------------- **受影響的軟體** 如需有關您使用系統的特定資訊安全更新資訊,請按下適當的連結: #### Windows 7 (所有版本) **參考表** 下表包含此軟體的資訊安全更新資訊。您可以在本節的<部署資訊>小節中找到其他資訊。

未來將包含於 Service Pack 中的內容 此問題的更新將包含在以後的 Service Pack 或更新彙總套件中
部署
在沒有使用者介入的情況下安裝 所有受支援 32 位元版本的 Windows 7 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-x86.msu /quiet
所有受支援 x64 型版本的 Windows 7 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-x64.msu /quiet
在不重新啟動的情況下安裝 所有受支援 32 位元版本的 Windows 7 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-x86.msu /quiet /norestart
所有受支援 x64 型版本的 Windows 7 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-x64.msu /quiet /norestart
詳細資訊 請參閱<偵測與部署工具及指南>小節
重新開機需求
需要重新開機? 在某些情況下,此更新程式不需要重新開機。如果需要的檔案正在使用中,更新程式會要求重新開機。在此情況下,系統會出現訊息提示您重新開機。

若要減少重新開機的可能性,請在安裝資訊安全更新之前,停止所有受影響的服務,並關閉所有可能使用受影響檔案的應用程式。如需系統為何會提示您重新開機的詳細資訊,請參閱 Microsoft 知識庫文件編號 887012
HotPatching 不適用。
移除資訊 若要解除安裝由 WUSA 所安裝的更新程式,請使用 /Uninstall 安裝參數,或按一下 [控制台] 和 [系統及安全性],然後在 Windows Update 項下,按一下 [檢視安裝的更新] 並從更新清單中選取。
檔案資訊 請參閱 Microsoft 知識庫文件編號 2475792
登錄機碼驗證 注意:登錄機碼不存在,無法驗證此更新是否存在。
#### 部署資訊 **安裝更新程式** 當您安裝本資訊安全更新時,安裝程式會檢查系統上要更新的檔案先前是否曾用 Microsoft Hotfix 進行更新。 如需更多關於出現於本公告中術語的相關資訊 (如 *hotfix*),請參閱 [Microsoft 知識庫文件編號 824684](https://support.microsoft.com/kb/824684)。 這個資訊安全更新支援以下的安裝參數。

支援的資訊安全更新安裝參數

參數 描述
/?, /h, /help 顯示受支援參數的說明。
/quiet 不顯示狀態或錯誤訊息。
/norestart /quiet 結合使用時,系統在安裝後將不會重新啟動,即使需要重新啟動以完成安裝時亦如此。
/warnrestart:<seconds> /quiet 結合使用時,安裝程式會在重新啟動前先警告使用者。
/promptrestart /quiet 結合使用時,安裝程式會在重新啟動前提示。
/forcerestart /quiet 結合使用時,安裝程式會強制關閉應用程式並重新啟動電腦。
/log:<檔案名稱> 啟用記錄至特定檔案。
/extract:<destination> 解壓縮套件內容到目的地資料夾。
/uninstall /kb:<KB 編號> 解除安裝資訊安全更新。

**注意:**如需 wusa.exe 安裝程式的詳細資訊,請參閱 TechNet 文章<Windows 7 的其他變更>中的Windows Update 獨立安裝程式

確認已經套用更新

  • Microsoft Baseline Security Analyzer

    您可以使用 Microsoft Baseline Security Analyzer (MBSA) 工具確認受影響系統上是否已經套用資訊安全更新程式。如需詳細資訊,請參閱本公告前段的<偵測與部署工具及指南>一節。

  • 檔案版本驗證

    由於 Microsoft Windows 的版本眾多,您電腦上實際執行的步驟可能會與此處描述的不同。如遇到不同的狀況,請參閱產品的說明文件以完成這些步驟。

    1. 按一下 [開始],然後在 [搜尋] 方塊中輸入更新檔案名稱。
    2. 當該檔案出現在 [程式] 下方時,在檔案名稱上按一下滑鼠右鍵,然後按一下 [內容]。
    3. 在 [一般] 索引標籤下,將檔案大小與公告 KB 文件提供的檔案資訊表進行比對。
      **注意:**視作業系統版本或系統所安裝的程式而定,檔案資訊表中列出的檔案未必會全部安裝。
    4. 您也可以按一下 [詳細資料] 索引標籤,然後將檔案版本與修改日期等資訊與公告 KB 文件提供的檔案資訊表進行比對。
      **注意:**在安裝時,檔案版本以外的屬性可能會變更。若要驗證是否成功套用更新程式,利用檔案資訊表比對其他檔案屬性並不是妥當的做法。此外,在某些情況下,檔案的名稱在安裝時可能會有所變更。如果缺少檔案或版本資訊,請採用其他可用的方法來驗證更新程式的安裝情形。
    5. 最後,您也可以按一下 [以前的版本] 索引標籤,將舊版檔案的檔案資訊,與檔案的新或更新版本之檔案資訊進行比對。

Windows Server 2008 R2 (所有版本)

參考表

下表包含此軟體的資訊安全更新資訊。您可以在本節的<部署資訊>小節中找到其他資訊。

未來將包含於 Service Pack 中的內容 此問題的更新將包含在以後的 Service Pack 或更新彙總套件中
部署
在沒有使用者介入的情況下安裝 所有受支援 x64 型版本的 Windows Server 2008 R2 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-x64.msu /quiet
所有受支援 Itanium 型版本的 Windows Server 2008 R2 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-ia64.msu /quiet
在不重新啟動的情況下安裝 所有受支援 x64 型版本的 Windows Server 2008 R2 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-x64.msu /quiet /norestart
所有受支援 Itanium 型版本的 Windows Server 2008 R2 上的 JScript 5.8 和 VBScript 5.8:
Windows6.1-KB2475792-ia64.msu /quiet /norestart
詳細資訊 請參閱<偵測與部署工具及指南>小節
重新開機需求
需要重新開機? 在某些情況下,此更新程式不需要重新開機。如果需要的檔案正在使用中,更新程式會要求重新開機。在此情況下,系統會出現訊息提示您重新開機。

若要減少重新開機的可能性,請在安裝資訊安全更新之前,停止所有受影響的服務,並關閉所有可能使用受影響檔案的應用程式。如需系統為何會提示您重新開機的詳細資訊,請參閱 Microsoft 知識庫文件編號 887012
HotPatching 不適用。
移除資訊 若要解除安裝由 WUSA 所安裝的更新程式,請使用 /Uninstall 安裝參數,或按一下 [控制台] 和 [系統及安全性],然後在 Windows Update 項下,按一下 [檢視安裝的更新] 並從更新清單中選取。
檔案資訊 請參閱 Microsoft 知識庫文件編號 2475792
登錄機碼驗證 注意:登錄機碼不存在,無法驗證此更新是否存在。
#### 部署資訊 **安裝更新程式** 當您安裝本資訊安全更新時,安裝程式會檢查系統上要更新的檔案先前是否曾用 Microsoft Hotfix 進行更新。 如需更多關於出現於本公告中術語的相關資訊 (如 *hotfix*),請參閱 [Microsoft 知識庫文件編號 824684](https://support.microsoft.com/kb/824684)。 這個資訊安全更新支援以下的安裝參數。

支援的資訊安全更新安裝參數

參數 描述
/?, /h, /help 顯示受支援參數的說明。
/quiet 不顯示狀態或錯誤訊息。
/norestart /quiet 結合使用時,系統在安裝後將不會重新啟動,即使需要重新啟動以完成安裝時亦如此。
/warnrestart:<seconds> /quiet 結合使用時,安裝程式會在重新啟動前先警告使用者。
/promptrestart /quiet 結合使用時,安裝程式會在重新啟動前提示。
/forcerestart /quiet 結合使用時,安裝程式會強制關閉應用程式並重新啟動電腦。
/log:<檔案名稱> 啟用記錄至特定檔案。
/extract:<destination> 解壓縮套件內容到目的地資料夾。
/uninstall /kb:<KB 編號> 解除安裝資訊安全更新。

**注意:**如需 wusa.exe 安裝程式的詳細資訊,請參閱 TechNet 文章<Windows 7 的其他變更>中的Windows Update 獨立安裝程式

確認已經套用更新

  • Microsoft Baseline Security Analyzer

    您可以使用 Microsoft Baseline Security Analyzer (MBSA) 工具確認受影響系統上是否已經套用資訊安全更新程式。如需詳細資訊,請參閱本公告前段的<偵測與部署工具及指南>一節。

  • 檔案版本驗證

    由於 Microsoft Windows 的版本眾多,您電腦上實際執行的步驟可能會與此處描述的不同。如遇到不同的狀況,請參閱產品的說明文件以完成這些步驟。

    1. 按一下 [開始],然後在 [開始搜尋] 方塊中輸入更新檔案名稱。
    2. 當該檔案出現在 [程式] 下方時,在檔案名稱上按一下滑鼠右鍵,然後按一下 [內容]。
    3. 在 [一般] 索引標籤下,將檔案大小與公告 KB 文件提供的檔案資訊表進行比對。
      **注意:**視作業系統版本或系統所安裝的程式而定,檔案資訊表中列出的檔案未必會全部安裝。
    4. 您也可以按一下 [詳細資料] 索引標籤,然後將檔案版本與修改日期等資訊與公告 KB 文件提供的檔案資訊表進行比對。
      **注意:**在安裝時,檔案版本以外的屬性可能會變更。若要驗證是否成功套用更新程式,利用檔案資訊表比對其他檔案屬性並不是妥當的做法。此外,在某些情況下,檔案的名稱在安裝時可能會有所變更。如果缺少檔案或版本資訊,請採用其他可用的方法來驗證更新程式的安裝情形。
    5. 最後,您也可以按一下 [以前的版本] 索引標籤,將舊版檔案的檔案資訊,與檔案的新或更新版本之檔案資訊進行比對。

其他資訊

感謝

Microsoft 感謝下列人士協助我們一同保護我們的客戶:

  • 感謝 Palo Alto Networks 的 Yamata Li 回報指令碼引擎資訊洩漏資訊安全風險 (CVE-2011-0031)

Microsoft 主動保護計畫 (MAPP)

為了增強客戶的資訊安全保護,Microsoft 將在每月發行資訊安全更新之前,提前向重要資訊安全軟體提供者提供資訊安全風險資訊。資訊安全軟體提供者可利用此資訊安全風險資訊,透過其資訊安全軟體或裝置 (如防毒軟體、網路入侵偵測系統、或主機入侵預防系統),為客戶提供更新的保護措施。如果要判斷是否有資訊安全軟體提供者的主動保護可用,請造訪由 Microsoft 主動保護計畫 (MAPP) 合作夥伴 (英文) 上列出的計畫合作夥伴所提供的主動保護計畫網站。

支援

  • 美國及加拿大地區客戶可洽詢資訊安全支援或 1-866-PCSAFETY 以取得技術支援。與資訊安全更新有關的支援電話不另外收費。如需更多可用支援選項的資訊,請參閱 Microsoft 技術支援
  • 不同國家的客戶,可以從當地的 Microsoft 分公司取得支援。與資訊安全更新有關的支援電話不另外收費。如需如何連絡 Microsoft 瞭解技術支援問題的詳細資訊,請造訪國際化支援網站

免責聲明

Microsoft 知識庫 (Microsoft Knowledge Base) 中的資訊係以其「現狀」提供,並不提供任何形式之擔保。Microsoft 不做任何明示或默示的責任擔保,包括適售性以及適合某特定用途之擔保責任。無論任何情況下的損害,Microsoft Corporation 及其供應商皆不負任何法律責任,包括直接、間接、偶發、衍生性、所失業務利益或特殊損害。即使 Microsoft Corporation 及其供應商已被告知此類損害的可能性亦不負任何責任。某些地區不允許排除及限制衍生性或附隨損害賠償責任,因此前述限制不適用於這些地區。

修訂

  • V1.0 (2011 年 2 月 8 日): 公告發行。
  • V2.0 (2011 年 3 月 8 日): 說明下列項目已納入受影響的軟體:適用於 32 位元系統的 Windows 7 Service Pack 1、適用於 x64 型系統的 Windows 7 Service Pack 1、適用於 x64 型系統的 Windows Server 2008 R2 Service Pack 1,以及適用於 Itanium 系統的 Windows Server 2008 R2 Service Pack 1。請參閱<與本資訊安全更新相關的常見問題集 (FAQ)>區段中說明此修訂的項目。
  • V2.1 (2012 年 8 月 17 日): 澄清在系統上安裝 Internet Explorer 9 的使用者不需要安裝此更新。如需更多資訊,請參閱<與本資訊安全更新相關的常見問題集 (FAQ)>一節。

Built at 2014-04-18T01:50:00Z-07:00